﻿using UnityEngine;
using System.Collections;

public class Paddle : MonoBehaviour {

	public bool autoPlay = false;
	public float minX, maxX;

	private Ball Ball;
	
	void Start () {
		Ball = GameObject.FindObjectOfType<Ball>();
	}
		
	// Update is called once per frame
	void Update () {
		if (!autoPlay) {
			MoveWithMouse();
		} else {
			AutoPlay();
		}
	}
	
	void AutoPlay() {
		Vector3 PaddlePos = new Vector3 (0.5f, this.transform.position.y, 0f);
		Vector3 BallPos = Ball.transform.position;
		PaddlePos.x = Mathf.Clamp(BallPos.x, minX, maxX);
		this.transform.position = PaddlePos;
	}
	
	void MoveWithMouse () {
		Vector3 PaddlePos = new Vector3 (0.5f, this.transform.position.y, 0f);
		float mousePosInBlocks = Input.mousePosition.x / Screen.width * 16;
		PaddlePos.x = Mathf.Clamp(mousePosInBlocks, minX, maxX);
		this.transform.position = PaddlePos;
	}
}
